package models.dataFlowModel;

import models.*;

public class DataFlowEdge extends Edge {
	protected boolean channelToResource = false;

	public DataFlowEdge(ResourceNode src, ChannelNode dst) {
		super(src, dst);
		channelToResource = false;
	}

	public DataFlowEdge(ChannelNode src, ResourceNode dst) {
		super(src, dst);
		channelToResource = true;
	}

	public boolean isChannelToResource() {
		return channelToResource;
	}

//	public String toString() {
//		return channel.getChannelName();
//	}
}
